Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomDocumentType

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomDocumentType

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QDomDocumentType

extends QDomNode
implements java.lang.Cloneable

The `QDomDocumentType` class is the representation of the DTD in the document tree. The `QDomDocumentType` class allows read-only access to some of the data structures in the DTD: it can return a map of all `entities()` and `notations()`. In addition the function `name()` returns the name of the document type as specified in the <!DOCTYPE name> tag. This class also provides the `publicId()`, `systemId()` and `internalSubset()` functions.

See also:
  `QDomDocument`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QDomDocumentType()` Creates an empty `QDomDocumentType` object.
`QDomDocumentType(QDomDocumentType x)` Constructs a copy of `n`.

Method Summary
`QDomDocumentType` | `clone()` This method is reimplemented for internal reasons
`QDomNamedNodeMap` | `entities()` Returns a map of all entities described in the DTD.
`static QDomDocumentType` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QDomDocumentType instance pointed to by `nativePointer`.
`java.lang.String` | `internalSubset()` Returns the internal subset of the document type or an empty string if there is no internal subset.
`java.lang.String` | `name()` Returns the name of the document type as specified in the <!DOCTYPE name> tag.
`static QNativePointer` | `nativePointerArray(QDomDocumentType[] array)` This function returns a QNativePointer that is pointing to the specified QDomDocumentType array.
`QDomNamedNodeMap` | `notations()` Returns a map of all notations described in the DTD.
`java.lang.String` | `publicId()` Returns the public identifier of the external DTD subset or an empty string if there is no public identifier.
`java.lang.String` | `systemId()` Returns the system identifier of the external DTD subset or an empty string if there is no system identifier.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomDocumentType

    public QDomDocumentType()

  Creates an empty `QDomDocumentType` object.

### QDomDocumentType

    public QDomDocumentType(QDomDocumentType x)

  Constructs a copy of `n`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode()`.

Method Detail

### entities

    public final QDomNamedNodeMap entities()

  Returns a map of all entities described in the DTD.

### internalSubset

    public final java.lang.String internalSubset()

  Returns the internal subset of the document type or an empty string if there is no internal subset.

See also:
  `publicId()`, and `systemId()`.

### name

    public final java.lang.String name()

  Returns the name of the document type as specified in the <!DOCTYPE name> tag.

See also:
  `nodeName()`.

### notations

    public final QDomNamedNodeMap notations()

  Returns a map of all notations described in the DTD.

### publicId

    public final java.lang.String publicId()

  Returns the public identifier of the external DTD subset or an empty string if there is no public identifier.

See also:
  `systemId()`, `internalSubset()`, and `QDomImplementation::createDocumentType()`.

### systemId

    public final java.lang.String systemId()

  Returns the system identifier of the external DTD subset or an empty string if there is no system identifier.

See also:
  `publicId()`, `internalSubset()`, and `QDomImplementation::createDocumentType()`.

### fromNativePointer

    public static QDomDocumentType fromNativePointer(QNativePointer nativePointer)

  This method returns the QDomDocumentType instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomDocumentType[] array)

  This function returns a QNativePointer that is pointing to the specified QDomDocumentType array.

### clone

    public QDomDocumentType clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QDomNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD